
rm(list=ls())

setwd("~/Documents/marcelo")
load("included-art.rda")

#included<-included[which(included$init.start.date>=as.Date("2001-01-01")),]

d.cd4<-read.csv("adultdata-2015-01-01/lab_cd4.csv")
d.rna<-read.csv("adultdata-2015-01-01/lab_rna.csv")
d.follow<-read.csv("adultdata-2015-01-01/follow.csv")
d.visit<-read.csv("adultdata-2015-01-01/visit.csv")

d.cd4<-d.cd4[d.cd4$site!="brazil",]
d.rna<-d.rna[d.rna$site!="brazil",]
d.follow<-d.follow[d.follow$site!="brazil",]
d.visit<-d.visit[d.visit$site!="brazil",]

d1.cd4<-read.csv("data-frozen-marcelo-2013-12-20/lab_cd4.csv")
d1.cd4$patient<-paste("br",d1.cd4$patient,sep=".")
d1.rna<-read.csv("data-frozen-marcelo-2013-12-20/lab_rna.csv")
d1.rna$patient<-paste("br",d1.rna$patient,sep=".")
d1.follow<-read.csv("data-frozen-marcelo-2013-12-20/follow.csv")
d1.follow$patient<-paste("br",d1.follow$patient,sep=".")
d1.visit<-read.csv("data-frozen-marcelo-2013-12-20/visit.csv")
d1.visit$patient<-paste("br",d1.visit$patient,sep=".")

d1.cd4<-d1.cd4[d1.cd4$site=="brazil",]
d1.rna<-d1.rna[d1.rna$site=="brazil",]
d1.follow<-d1.follow[d1.follow$site=="brazil",]
d1.visit<-d1.visit[d1.visit$site=="brazil",]

d1.cd4.n<-with(d1.cd4, data.frame(site,patient,cd4_d,cd4_d_a,cd4_v,cd4_per))
d.cd4.n<-with(d.cd4, data.frame(site,patient,cd4_d,cd4_d_a,cd4_v,cd4_per))
d.cd4.new<-rbind(d1.cd4.n,d.cd4.n)
d.cd4<-d.cd4.new
rm(d.cd4.new,d.cd4.n,d1.cd4.n,d1.cd4)

d1.rna.n<-with(d1.rna, data.frame(site,patient,rna_d,rna_d_a,rna_v,rna_l,rna_u,rna_t))
d.rna.n<-with(d.rna, data.frame(site,patient,rna_d,rna_d_a,rna_v,rna_l,rna_u,rna_t))
d.rna.new<-rbind(d1.rna.n,d.rna.n)
d.rna<-d.rna.new
rm(d.rna.new,d.rna.n,d1.rna.n,d1.rna)

d1.follow.n<-with(d1.follow, data.frame(site,patient,death_y,death_d,death_d_a=NA,drop_y,drop_d,drop_rs,drop_rs_oth=NA,l_alive_d))
d.follow.n<-with(d.follow, data.frame(site,patient,death_y,death_d,death_d_a,drop_y,drop_d,drop_rs,drop_rs_oth,l_alive_d))
d.follow.new<-rbind(d1.follow.n,d.follow.n)
d.follow<-d.follow.new
rm(d.follow.new,d.follow.n,d1.follow.n,d1.follow)

d1.visit.n<-with(d1.visit, data.frame(site,patient,location,visit_d,whostage,cdcstage))
d.visit.n<-with(d.visit, data.frame(site,patient,location,visit_d,whostage,cdcstage))
d.visit.new<-rbind(d1.visit.n,d.visit.n)
d.visit<-d.visit.new
rm(d.visit.new,d.visit.n,d1.visit.n,d1.visit)

d1<-merge(included,d.follow,by.x=c("id","site"),by.y=c("patient","site"),all.x=TRUE)
d1$site<-as.character(d1$site)

table(d1$death_y)
mean(d1$death_y)

########

d1$date.death<-as.Date(as.character(d1$death_d),"%Y-%m-%d")
d1$date.death.a<-d1$death_d_a   


d1$init.class<-as.character(d1$init.class)


#####  Merging in AIDS status which was computed for these patient ids for another study.
load("AIDSstatus.rda")

length(setdiff(included$id,AIDSstatus$patient))  # Only 18 patients are in this database but not in the AIDSstatus database; all but one from Brazil

d2<-merge(d1,AIDSstatus,by.x=c("id","site"),by.y=c("patient","site"),all.x=TRUE)
sum(is.na(d2$preARTAIDS.clinical))               # Same 18

#####  I am assigning those 18 missing AIDSstatus.  Perhaps I could look at this more closely sometime, but this works for now.    
d2$preARTAIDS.clinical<-with(d2, ifelse(is.na(preARTAIDS.clinical),"Unknown",preARTAIDS.clinical))   
d2$preARTAIDS.all<-with(d2, ifelse(is.na(preARTAIDS.all),"Unknown",preARTAIDS.all))    
    
d1<-d2
rm(d2)

head(d.cd4)
d.cd4$date<-as.Date(d.cd4$cd4_d,"%Y-%m-%d")
d.cd4$patient<-as.character(d.cd4$patient)
d.rna$date<-as.Date(d.rna$rna_d,"%Y-%m-%d")
d.rna$patient<-as.character(d.rna$patient)
d1$id<-as.character(d1$id)

d.cd4<-d.cd4[!is.na(d.cd4$date),]
d.rna<-d.rna[!is.na(d.rna$date),]

locate.nadir.cd4.prehaart<-rep(NA,length(d1$id))
for (i in 1:length(d1$id)) {
  if (length(d.cd4$cd4_v[d.cd4$patient==d1$id[i] & d.cd4$site==d1$site[i] & d.cd4$date <= d1$init.start.date[i]+7 & !is.na(d.cd4$cd4_v)])>=1) {
    locate.nadir.cd4.prehaart[i]<-
      which(d.cd4$cd4_v== min(d.cd4$cd4_v[d.cd4$patient==d1$id[i] & d.cd4$site==d1$site[i] & d.cd4$date <= d1$init.start.date[i]+7],na.rm=TRUE)
            & d.cd4$patient==d1$id[i] & d.cd4$site==d1$site[i] & d.cd4$date <= d1$init.start.date[i]+7)
  }
}

d1$nadir.cd4.prehaart<-d.cd4$cd4_v[locate.nadir.cd4.prehaart]
d1$date.nadir.cd4.prehaart<-d.cd4$date[locate.nadir.cd4.prehaart]
summary(as.numeric(d1$init.start.date)-as.numeric(d1$date.nadir.cd4.prehaart))


###### Right now I've limited CD4 at start of second regimen to be no more than 180 days before changing regimen or 7 days after.  Consider re-visiting.

locate.cd4.reg2<-rep(NA,length(d1$id))
for (i in 1:length(d1$id)) {
  if (length(d.cd4$cd4_v[d.cd4$patient==d1$id[i] & d.cd4$site==d1$site[i] & d.cd4$date <= d1$second.start.date[i]+7 &
                         d.cd4$date >= d1$second.start.date[i]-180 & !is.na(d.cd4$cd4_v)])>=1) {
    locate.cd4.reg2[i]<-
      which(abs(d.cd4$date-d1$second.start.date[i])==
              min(abs(d1$second.start.date[i]-d.cd4$date[d.cd4$patient==d1$id[i] & d.cd4$site==d1$site[i] & d.cd4$date <= d1$second.start.date[i]+7 &
                                                         d.cd4$date >= d1$second.start.date[i]-180]))
           & d.cd4$patient==d1$id[i] & d.cd4$site==d1$site[i] & d.cd4$date <= d1$second.start.date[i]+7 & d.cd4$date >= d1$second.start.date[i]-180)
  }
}


d1$cd4.reg2<-d.cd4$cd4_v[locate.cd4.reg2]
d1$date.cd4.reg2<-d.cd4$date[locate.cd4.reg2]
summary(as.numeric(d1$second.start.date)-as.numeric(d1$date.cd4.reg2))


d.rna$date<-as.Date(d.rna$rna_d,"%Y-%m-%d")
d.rna$undetect.vl<-ifelse(d.rna$rna_v<=0,1,0)

d1$site<-as.character(d1$site)
d.rna$site<-as.character(d.rna$site)

locate.rna.prehaart<-rep(NA,length(d1$id))
for (i in 1:length(d1$id)) {
  if (length(d.rna$rna_v[d.rna$patient==d1$id[i] & d.rna$site==d1$site[i] & d.rna$date <= d1$init.start.date[i]
                         & d.rna$date >= d1$init.start.date[i]-180 & !is.na(d.rna$date)])>=1) {
    locate.rna.prehaart[i]<-
      which(d1$init.start.date[i]-d.rna$date==
              min(d1$init.start.date[i]-d.rna$date[d.rna$patient==d1$id[i] & d.rna$site==d1$site[i] & d.rna$date <= d1$init.start.date[i] 
                                                   & d.rna$date >= d1$init.start.date[i]-180])
            & d.rna$patient==d1$id[i] & d.rna$site==d1$site[i] & d.rna$date <= d1$init.start.date[i] & d.rna$date >= d1$init.start.date[i]-180 )
  }
}

d1$rna1<-d.rna$rna_v[locate.rna.prehaart]
d1$undetect1<-d.rna$undetect.vl[locate.rna.prehaart]
d1$rna1.date<-d.rna$date[locate.rna.prehaart]

###  Undetectable VL at initiation is likely error
summary(d1$rna1)
sum(d1$undetect1,na.rm=TRUE)
prob1<-ifelse(d1$undetect1==0,0,1)
prob<-ifelse(is.na(prob1),0,prob1)
cbind(as.character(d1$site[prob==1]),as.character(d1$id[prob==1]),as.character(d1$rna1[prob==1]),as.character(d1$rna1.date[prob==1]),as.character(d1$init.start.date[prob==1]))


locate.rna2<-rep(NA,length(d1$id))
for (i in 1:length(d1$id)) {
  if (length(d.rna$rna_v[d.rna$patient==d1$id[i] & d.rna$site==d1$site[i] & d.rna$date <= d1$second.start.date[i] &
                         d.rna$date >= d1$second.start.date[i]-180 & !is.na(d.rna$date)])>=1) {
    locate.rna2[i]<-
      which(abs(d.rna$date-d1$second.start.date[i])==
              min(abs(d1$second.start.date[i]-d.rna$date[d.rna$patient==d1$id[i] & d.rna$site==d1$site[i] & d.rna$date <= d1$second.start.date[i] &
                                                         d.rna$date >= d1$second.start.date[i]-180]))
           & d.rna$patient==d1$id[i] & d.rna$site==d1$site[i] & d.rna$date <= d1$second.start.date[i] & d.rna$date >= d1$second.start.date[i]-180)
  }
}

d1$rna2<-d.rna$rna_v[locate.rna2]
d1$undetect2<-d.rna$undetect.vl[locate.rna2]



d1$male<-as.character(d1$male)
d<-d1


####  Potential covariates
##  site
#  age at start of second regimen
##  gender
##  probable mode of infection
##  class of second regimen
##  CD4 at start of second regimen
##  nadir CD4 before starting HAART
##  class of initial regimen
#  reason for changing initial regimen
##  length of initial regimen
##  date of initiating second regimen
##  date of initiating initial regimen


table(d$site)
table(d$male,d$site)


d$route<-ifelse(d$mode=="Homo/Bisexual"|
                  d$mode=="Bisexual"|
                  d$mode=="Homosexual contact","homo/bisexual",
                ifelse(d$mode=="Heterosexual contact and Injecting drug user"|
                         d$mode=="Homo/Bisexual and Injecting drug user"|
                         d$mode=="Injecting drug user","IDU",
                       ifelse(d$mode=="Heterosexual contact","heterosexual",
                              ifelse(d$mode=="Unknown","unknown",
                                     ifelse(d$mode=="","missing","other")))))
# d$route<-ifelse(d$mode=="Homo/Bisexual","homo/bisexual",
#           ifelse(d$mode=="Heterosexual contact and Injecting drug user"|
#                  d$mode=="Homo/Bisexual and Injecting drug user"|
#                  d$mode=="Injecting drug user","IDU",
#           ifelse(d$mode=="Heterosexual contact","heterosexual",
#           ifelse(d$mode=="Unknown","unknown",
#           ifelse(d$mode=="","missing","other")))))
d$idu<-ifelse(d$route=="IDU",1,
               ifelse(d$route=="Unknown",NA,0))
table(d$mode)
table(d$route)
table(d$route,d$site)
table(d$idu,d$site)


d$second.class<-toupper(d$second.class)

# d$second.class<-with(d,ifelse(second.class=="","Unknown",
#                        ifelse(second.class=="BOOSTED PI","Boosted PI",
#                        ifelse(second.class=="other","Other",
#                        ifelse(second.class=="OTHER","Other",as.character(second.class))))))

table(d$second.class,d$site)
table(d$init.class,d$site)
table(d$init.class,d$second.class)


stuff1<-strsplit(as.character(d$init.reg),',')
stuff2<-strsplit(as.character(d$second.reg),',')

n.change<-NULL
for (i in 1:length(d$init.reg)) {
  n.change[i]<-length(stuff1[[i]])+length(stuff2[[i]])-2*length(intersect(stuff1[[i]],stuff2[[i]]))
}
d$n.change<-n.change


rtv.change<-function(drug) {
  ifelse(drug=="RTV",1,0)  
}

rtv.removed<-rtv.added<-NULL
for (i in 1:length(stuff1)){
  rtv.removed[i]<-sum(rtv.change(setdiff(stuff1[[i]],stuff2[[i]])))
  rtv.added[i]<-sum(rtv.change(setdiff(stuff2[[i]],stuff1[[i]])))
}

n.removed<-n.added<-NULL
for (i in 1:length(stuff1)){
  n.removed[i]<-length(rtv.change(setdiff(stuff1[[i]],stuff2[[i]])))
  n.added[i]<-length(rtv.change(setdiff(stuff2[[i]],stuff1[[i]])))
}


d3tc.change<-function(drug) {
  ifelse(drug=="3TC",1,0)  
}
ftc.change<-function(drug) {
  ifelse(drug=="FTC",1,0)  
}
azt.change<-function(drug) {
  ifelse(drug=="AZT",1,0)  
}
tdf.change<-function(drug) {
  ifelse(drug=="TDF",1,0)  
}

d3tc.removed<-d3tc.added<-NULL
ftc.removed<-ftc.added<-NULL
azt.removed<-azt.added<-NULL
tdf.removed<-tdf.added<-NULL
for (i in 1:length(stuff1)){
  d3tc.removed[i]<-sum(d3tc.change(setdiff(stuff1[[i]],stuff2[[i]])))
  ftc.removed[i]<-sum(ftc.change(setdiff(stuff1[[i]],stuff2[[i]])))
  azt.removed[i]<-sum(azt.change(setdiff(stuff1[[i]],stuff2[[i]])))
  tdf.removed[i]<-sum(tdf.change(setdiff(stuff1[[i]],stuff2[[i]])))
  d3tc.added[i]<-sum(d3tc.change(setdiff(stuff2[[i]],stuff1[[i]])))
  ftc.added[i]<-sum(ftc.change(setdiff(stuff2[[i]],stuff1[[i]])))
  azt.added[i]<-sum(azt.change(setdiff(stuff2[[i]],stuff1[[i]])))
  tdf.added[i]<-sum(tdf.change(setdiff(stuff2[[i]],stuff1[[i]])))
}



num.change.cat<-ifelse(n.change==1,"Single Drug Addition/Deletion",
                       ifelse((n.change==2&n.added!=2&n.removed!=2) | 
                              (n.change==3&n.added!=3&n.removed!=3&(rtv.added==1|rtv.removed==1)) |
                              (n.change==4&d3tc.removed==1&azt.removed==1&ftc.added==1&tdf.added==1)|
                              (n.change==4&ftc.removed==1&tdf.removed==1&d3tc.added==1&azt.added==1),"Single Drug Substitution",
                              "Multidrug Change"))
d$num.change.cat<-factor(num.change.cat,levels=c("Single Drug Addition/Deletion","Single Drug Substitution","Multidrug Change"))




determine.drug.type<-function(drug){
  type<-ifelse(drug=="EFV"|
               drug=="NVP"|
               drug=="DLV"|
               drug=="RPV"|
               drug=="ETR","NNRTI",
        ifelse(drug=="3TC"|
               drug=="ABC"|
               drug=="AZT"|
               drug=="D4T"|
               drug=="DDI"|
               drug=="TDF"|
               drug=="FTC"|
               drug=="DDC","NRTI",
        ifelse(drug=="ATV"|
     #          drug=="RTV"|    # I'm leaving ritonavir out, so that I can determine whether boosting occurred
               drug=="SQV"|
               drug=="NFV"|
               drug=="LPV"|
               drug=="IDV"|
               drug=="FPV"|
               drug=="APV"|
               drug=="DRV"|
               drug=="TPV","PI",as.character(drug)
               )))
  type
}

drug.removed<-drug.added<-NULL
for (i in 1:length(stuff1)){
  drug.removed[i]<-paste(determine.drug.type(setdiff(stuff1[[i]],stuff2[[i]])),collapse=",")
  drug.added[i]<-paste(determine.drug.type(setdiff(stuff2[[i]],stuff1[[i]])),collapse=",")
}

drug.removed<-sapply(lapply(strsplit(drug.removed,','),sort),paste,collapse=",")
drug.added<-sapply(lapply(strsplit(drug.added,','),sort),paste,collapse=",")

type.change1<-with(d,ifelse(init.class=="NNRTI"&(second.class=="BOOSTED PI"|second.class=="PI"),"NNRTI to PI",
                            ifelse(second.class=="NNRTI"&(init.class=="BOOSTED PI"|init.class=="PI"),"PI to NNRTI",
                                   ifelse(second.class=="NNRTI"&init.class=="NNRTI","NNRTI to NNRTI",
                                          ifelse((second.class=="BOOSTED PI"|second.class=="PI")&(init.class=="BOOSTED PI"|init.class=="PI"),"PI to PI",
                                                 "Other")))) 
)

type.arv.change<-paste(type.change1,paste("drug(s) removed: ",drug.removed,sep=""),paste("drug(s) added: ",drug.added,sep=""),sep=";")

a<-type.arv.change
classify.type.arv.change<-
  ifelse(
         a=="NNRTI to NNRTI;drug(s) removed: ;drug(s) added: NRTI,NRTI"|
         a=="NNRTI to NNRTI;drug(s) removed: NRTI;drug(s) added: NRTI"|                      
         a=="NNRTI to NNRTI;drug(s) removed: NRTI;drug(s) added: "|                          
         a=="NNRTI to NNRTI;drug(s) removed: ;drug(s) added: NRTI"|                          
         a=="NNRTI to NNRTI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI"|
         a=="NNRTI to NNRTI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,NRTI" ,
      "NNRTI to NNRTI; NRTI(s) switched, added, or removed",
  ifelse(
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI;drug(s) added: NNRTI"|
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI;drug(s) added: ", 
      "NNRTI to NNRTI; NNRTI switched",
  ifelse(
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI;drug(s) added: NNRTI,NRTI"|               
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI"|              
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,NRTI"|          
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"|
         a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI",
      "NNRTI to NNRTI; changes in NNRTI and NRTI",
  ifelse(
         a=="PI to PI;drug(s) removed: NRTI;drug(s) added: NRTI"|                            
         a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI"|
         a=="PI to PI;drug(s) removed: NRTI;drug(s) added: "|                 
         a=="PI to PI;drug(s) removed: ;drug(s) added: NRTI"|                               
         a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,NRTI"|
         a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI",
      "PI to PI; NRTI(s) switched, added, or removed",
  ifelse(
         a=="PI to PI;drug(s) removed: PI;drug(s) added: PI"|                              
         a=="PI to PI;drug(s) removed: PI;drug(s) added: RTV"|                               
         a=="PI to PI;drug(s) removed: PI;drug(s) added: PI,RTV"|                            
         a=="PI to PI;drug(s) removed: PI;drug(s) added: "|
         a=="PI to PI;drug(s) removed: ;drug(s) added: PI"|                                 
         a=="PI to PI;drug(s) removed: ;drug(s) added: RTV"|                                 
         a=="PI to PI;drug(s) removed: PI,RTV;drug(s) added: PI"|                            
         a=="PI to PI;drug(s) removed: RTV;drug(s) added: ",                           
      "PI to PI; PI switched, added, removed, boosted, or unboosted",
  ifelse(
         a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,PI,RTV"|       
         a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI"               |       
         a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,RTV"               |      
         a=="PI to PI;drug(s) removed: NRTI,RTV;drug(s) added: NRTI,PI"                |     
         a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,PI"        |    
         a=="PI to PI;drug(s) removed: NRTI;drug(s) added: NRTI,RTV"                     |   
         a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI,RTV"                |  
         a=="PI to PI;drug(s) removed: PI;drug(s) added: NRTI,PI,RTV"                      | 
         a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,RTV"              |
         a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,NRTI,PI"                 |
         a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI,RAL"                  |
         a=="PI to PI;drug(s) removed: NRTI;drug(s) added: NRTI,PI"|
         a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,PI,PI"| 
         a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,PI"|
         a=="PI to PI;drug(s) removed: NRTI,RTV;drug(s) added: NRTI"| 
         a=="PI to PI;drug(s) removed: PI;drug(s) added: NRTI,PI"|
         a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,NRTI,PI" ,
      "PI to PI; changes in PI and NRTI",
  ifelse(
         a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI,RTV;drug(s) added: NNRTI,NRTI,NRTI"|  
         a=="PI to NNRTI;drug(s) removed: PI;drug(s) added: NNRTI"                         | 
         a=="PI to NNRTI;drug(s) removed: NRTI,PI,RTV;drug(s) added: NNRTI,NRTI"            |
         a=="PI to NNRTI;drug(s) removed: RTV;drug(s) added: NNRTI"                         |
         a=="PI to NNRTI;drug(s) removed: PI,RTV;drug(s) added: NNRTI"                      |
         a=="PI to NNRTI;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,NRTI"                |
         a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,NRTI"|
         a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI,RTV;drug(s) added: NNRTI,NRTI"|
         a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI,RTV;drug(s) added: NNRTI,NRTI,NRTI,NRTI"| 
         a=="PI to NNRTI;drug(s) removed: NRTI,PI,RTV;drug(s) added: NNRTI,NRTI,NRTI"| 
         a=="PI to NNRTI;drug(s) removed: PI,RTV;drug(s) added: NNRTI,NRTI"| 
         a=="PI to NNRTI;drug(s) removed: PI;drug(s) added: NNRTI,NRTI", 
      "PI to NNRTI",
  ifelse(
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI"             |   
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI"    |  
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"      | 
         a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: NRTI,PI,RTV"                 |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI,PI"           |
         a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: PI,RTV"                      |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,PI,PI,RTV"    |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"  |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI,RTV"            |
         a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: NRTI,PI,RTV,T20"             |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: PI,RTV"                 |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI,RAL,RTV"        |
         a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: PI" |
         a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: PI,PI,RTV" |
         a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: ENF,NRTI,PI,RTV",
      "NNRTI to PI",
  ifelse(
         a=="Other;drug(s) removed: NRTI,PI,RTV;drug(s) added: NRTI,NRTI" |                  
         a=="Other;drug(s) removed: NRTI;drug(s) added: NNRTI"             |                 
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI,PI" |                
         a=="Other;drug(s) removed: PI;drug(s) added: NNRTI"                 |               
         a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI"           |              
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,PI,PI"|           
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI"  |          
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI,NRTI"           |         
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"    |
         a=="Other;drug(s) removed: ;drug(s) added: NRTI,PI,RTV"                            |
         a=="Other;drug(s) removed: NRTI;drug(s) added: NNRTI,NRTI"                         |
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,NRTI,PI,RTV"     |
         a=="Other;drug(s) removed: PI;drug(s) added: "                                     |
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI,NRTI,PI"                 |
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,PI,RTV"          |
         a=="Other;drug(s) removed: PI;drug(s) added: NNRTI,NRTI,PI"                        |
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI"                         |
         a=="Other;drug(s) removed: NNRTI;drug(s) added: NRTI"                              |
         a=="Other;drug(s) removed: NRTI,NRTI,RAL;drug(s) added: NNRTI,NRTI,NRTI"           |
         a=="Other;drug(s) removed: NRTI;drug(s) added: NRTI,PI,RTV"                        |
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI"                     |
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,NRTI,PI"                |
         a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"          |
         a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,NRTI,PI"                   |
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI"                         |
         a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"         |
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,PI"                       |
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,PI"              |
         a=="Other;drug(s) removed: NNRTI;drug(s) added: "                                  |
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: PI,RTV"                        |
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,NRTI,PI"   |
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,PI,RTV"          |     
         a=="Other;drug(s) removed: ;drug(s) added: NNRTI"                              |    
         a=="Other;drug(s) removed: ;drug(s) added: PI"                                  |   
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,PI"       |  
         a=="Other;drug(s) removed: PI;drug(s) added: NRTI"                                | 
         a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,PI,RTV"                    |
         a=="Other;drug(s) removed: RAL;drug(s) added: NNRTI"                               |
         a=="Other;drug(s) removed: NRTI;drug(s) added: NRTI"                               |
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,PI,PI,VICR"         |
         a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,NRTI"             |
         a=="Other;drug(s) removed: ETC,NRTI,PI;drug(s) added: NRTI,NRTI,PI"                |
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI"                      |
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,PI"                     |
         a=="Other;drug(s) removed: ;drug(s) added: PI,RTV"                                 |
         a=="Other;drug(s) removed: NRTI;drug(s) added: NRTI,NRTI,PI,RTV"                   |
         a=="Other;drug(s) removed: RAL;drug(s) added: PI,RTV"                              |
         a=="Other;drug(s) removed: NNRTI;drug(s) added: MRV,PI,RTV"                        |
         a=="Other;drug(s) removed: PI;drug(s) added: PI"                                   |
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI" |
         a=="Other;drug(s) removed: ;drug(s) added: NNRTI,NRTI"| 
         a=="Other;drug(s) removed: ;drug(s) added: NNRTI,NRTI,PI,PI,RTV"|
         a=="Other;drug(s) removed: ;drug(s) added: NRTI,NRTI,PI,RTV"|
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,PI,RTV"|
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NNRTI,PI,PI,RTV"|
         a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,NRTI"|
         a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,NRTI,PI,RTV"|
         a=="Other;drug(s) removed: NNRTI,PI,RTV;drug(s) added: NRTI,NRTI,PI"|
         a=="Other;drug(s) removed: NNRTI,RTV;drug(s) added: NNRTI,NRTI"|
         a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,PI,RTV"|
         a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NNRTI,PI,RTV"|
         a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NRTI,PI,PI,RTV"| 
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI,PI,RTV"|
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"| 
         a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,PI,RTV"| 
         a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,PI"| 
         a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NRTI,NRTI"| 
         a=="Other;drug(s) removed: NRTI;drug(s) added: "|  
         a=="Other;drug(s) removed: NRTI;drug(s) added: PI,RTV"| 
         a=="Other;drug(s) removed: PI,RTV;drug(s) added: "|  
         a=="Other;drug(s) removed: PI,RTV;drug(s) added: NNRTI,PI"| 
         a=="Other;drug(s) removed: PI,RTV;drug(s) added: NRTI",
      "Other",as.character(a))))))))))

table(classify.type.arv.change)


d$classify.type.arv.change<-factor(classify.type.arv.change,
                                 levels=c("NNRTI to NNRTI; NRTI(s) switched, added, or removed",
                                          "NNRTI to NNRTI; NNRTI switched",
                                          "NNRTI to NNRTI; changes in NNRTI and NRTI",
                                          "PI to PI; NRTI(s) switched, added, or removed",
                                          "PI to PI; PI switched, added, removed, boosted, or unboosted",
                                          "PI to PI; changes in PI and NRTI",
                                          "NNRTI to PI",
                                          "PI to NNRTI",
                                          "Other"),ordered=TRUE)

classify.type.arv.change.m<-
  ifelse(
      a=="NNRTI to NNRTI;drug(s) removed: ;drug(s) added: NRTI,NRTI"|
      a=="NNRTI to NNRTI;drug(s) removed: NRTI;drug(s) added: NRTI"|                      
      a=="NNRTI to NNRTI;drug(s) removed: NRTI;drug(s) added: "|                          
      a=="NNRTI to NNRTI;drug(s) removed: ;drug(s) added: NRTI"|                          
      a=="NNRTI to NNRTI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI"|
      a=="PI to PI;drug(s) removed: NRTI;drug(s) added: NRTI"|                            
      a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI"|
      a=="PI to PI;drug(s) removed: NRTI;drug(s) added: "|                 
      a=="PI to PI;drug(s) removed: ;drug(s) added: NRTI"|                               
      a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,NRTI"|
      a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI"|
      a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI"                     |
      a=="NNRTI to NNRTI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,NRTI"| 
      a=="Other;drug(s) removed: NRTI;drug(s) added: "|
      a=="Other;drug(s) removed: NRTI;drug(s) added: NRTI"                            ,
    "Change of NRTI",
    ifelse(
      a=="NNRTI to NNRTI;drug(s) removed: NNRTI;drug(s) added: NNRTI"|
      a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: PI,RTV"|
      a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: PI"|
      a=="Other;drug(s) removed: NNRTI;drug(s) added: " |
      a=="NNRTI to NNRTI;drug(s) removed: NNRTI;drug(s) added: "|
      a=="Other;drug(s) removed: ;drug(s) added: NNRTI"                              ,
    "Change of NNRTI",
      ifelse(
        a=="NNRTI to NNRTI;drug(s) removed: NNRTI;drug(s) added: NNRTI,NRTI"|               
          a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI"|              
          a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,NRTI"|          
          a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"|
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI"             |   
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI"    |  
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"      | 
          a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: NRTI,PI,RTV"                 |
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI,PI"           |
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,PI,PI,RTV"    |
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"  |
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI,RTV"            |
          a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: NRTI,PI,RTV,T20"             |
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: PI,RTV"                 |
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI,RAL,RTV"        |
          a=="Other;drug(s) removed: NRTI;drug(s) added: NNRTI"             |                 
          a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI,PI" | 
          a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI"  |          
          a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI,NRTI"           |         
          a=="Other;drug(s) removed: NNRTI,NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"    |
          a=="Other;drug(s) removed: NRTI;drug(s) added: NNRTI,NRTI"                         |
          a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI"                         |
          a=="Other;drug(s) removed: NNRTI;drug(s) added: NRTI"                              |
          a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"          |
          a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI"                         |
          a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,PI"                      |
          a=="NNRTI to NNRTI;drug(s) removed: NNRTI,NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,NRTI"| 
          a=="NNRTI to PI;drug(s) removed: NNRTI,NRTI;drug(s) added: PI,PI,RTV"| 
          a=="Other;drug(s) removed: ;drug(s) added: NNRTI,NRTI"| 
          a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,NRTI"| 
          a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NRTI,NRTI",
        "Change of NRTI and NNRTI",
          ifelse(
              a=="PI to PI;drug(s) removed: PI;drug(s) added: PI"|                              
              a=="PI to PI;drug(s) removed: PI;drug(s) added: RTV"|                               
              a=="PI to PI;drug(s) removed: PI;drug(s) added: PI,RTV"|                            
              a=="PI to PI;drug(s) removed: PI;drug(s) added: "|
              a=="PI to PI;drug(s) removed: ;drug(s) added: PI"|                                 
              a=="PI to PI;drug(s) removed: ;drug(s) added: RTV"|                                 
              a=="PI to PI;drug(s) removed: PI,RTV;drug(s) added: PI"|                            
              a=="PI to PI;drug(s) removed: RTV;drug(s) added: "| 
              a=="PI to NNRTI;drug(s) removed: PI;drug(s) added: NNRTI" |
              a=="PI to NNRTI;drug(s) removed: RTV;drug(s) added: NNRTI"|
              a=="PI to NNRTI;drug(s) removed: PI,RTV;drug(s) added: NNRTI"|
              a=="Other;drug(s) removed: PI;drug(s) added: NNRTI"  |
              a=="Other;drug(s) removed: PI;drug(s) added: "|
              a=="Other;drug(s) removed: ;drug(s) added: PI"   |
              a=="Other;drug(s) removed: ;drug(s) added: PI,RTV"                                 |
              a=="Other;drug(s) removed: PI,RTV;drug(s) added: "|
              a=="Other;drug(s) removed: PI;drug(s) added: PI"                                   ,
            "Change of PI",
            ifelse(
              a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,PI,RTV"|       
                a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI"               |       
                a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,RTV"               |      
                a=="PI to PI;drug(s) removed: NRTI,RTV;drug(s) added: NRTI,PI"                |     
                a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,PI"        |    
                a=="PI to PI;drug(s) removed: NRTI;drug(s) added: NRTI,RTV"                     |   
                a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI,RTV"                |  
                a=="PI to PI;drug(s) removed: PI;drug(s) added: NRTI,PI,RTV"                      | 
                a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,RTV"              |
                a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,NRTI,PI"                 |
                a=="PI to PI;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI,RAL"                  |
                a=="PI to PI;drug(s) removed: NRTI;drug(s) added: NRTI,PI"|
                a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI,RTV;drug(s) added: NNRTI,NRTI,NRTI"|
                a=="PI to NNRTI;drug(s) removed: NRTI,PI,RTV;drug(s) added: NNRTI,NRTI"            |
                a=="PI to NNRTI;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,NRTI" |
                a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,NRTI"|
                a=="Other;drug(s) removed: NRTI,PI,RTV;drug(s) added: NRTI,NRTI" |
                a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NRTI,PI"           |              
                a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,PI,PI"|
                a=="Other;drug(s) removed: ;drug(s) added: NRTI,PI,RTV"                            |
                a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,NRTI,PI,RTV"     |
                a=="Other;drug(s) removed: NRTI;drug(s) added: NRTI,PI,RTV"|
                a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"         |
                a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,PI"                       |
                a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: PI,RTV"                        |
                a=="Other;drug(s) removed: PI;drug(s) added: NRTI"                                | 
                a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,NRTI"             |
                a=="Other;drug(s) removed: ;drug(s) added: NRTI,NRTI,PI,RTV"| 
                a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NRTI,PI,PI,RTV"|
                a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,NRTI,PI,RTV"| 
                a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,PI,RTV"|
                a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NRTI,NRTI"|
                a=="Other;drug(s) removed: NRTI;drug(s) added: PI,RTV"| 
                a=="Other;drug(s) removed: PI,RTV;drug(s) added: NRTI"| 
                a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI,RTV;drug(s) added: NNRTI,NRTI"| 
                a=="PI to NNRTI;drug(s) removed: NRTI,NRTI,PI,RTV;drug(s) added: NNRTI,NRTI,NRTI,NRTI"| 
                a=="PI to NNRTI;drug(s) removed: PI,RTV;drug(s) added: NNRTI,NRTI"| 
                a=="PI to NNRTI;drug(s) removed: PI;drug(s) added: NNRTI,NRTI"|
                a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,NRTI,PI"| 
                a=="PI to PI;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NRTI,PI,PI"| 
                a=="PI to PI;drug(s) removed: NRTI,NRTI;drug(s) added: NRTI,PI"| 
                a=="PI to PI;drug(s) removed: NRTI,RTV;drug(s) added: NRTI"| 
                a=="PI to PI;drug(s) removed: PI;drug(s) added: NRTI,PI"|
                a=="PI to NNRTI;drug(s) removed: NRTI,PI,RTV;drug(s) added: NNRTI,NRTI,NRTI"|
                a=="Other;drug(s) removed: NRTI;drug(s) added: NRTI,NRTI,PI,RTV"                   ,
              "Change of NRTI and PI",
            ifelse(a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI,NRTI,PI"                 |
                   a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,PI,RTV"          |
                   a=="Other;drug(s) removed: PI;drug(s) added: NNRTI,NRTI,PI"                        |
                   a=="Other;drug(s) removed: NRTI,NRTI,RAL;drug(s) added: NNRTI,NRTI,NRTI"           |
                   a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,NRTI,PI"                |
                   a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,NRTI,PI"                   |
                   a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,PI"              |
                   a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,NRTI,NRTI,PI"   |
                   a=="Other;drug(s) removed: NRTI,NRTI,PI;drug(s) added: NNRTI,PI,RTV"          |     
                   a=="Other;drug(s) removed: NNRTI,NRTI,NRTI,PI;drug(s) added: NRTI,NRTI,PI"       |  
                   a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,PI,RTV"                    |
                   a=="Other;drug(s) removed: RAL;drug(s) added: NNRTI"                               |
                   a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NRTI,PI,PI,VICR"         |
                   a=="Other;drug(s) removed: ETC,NRTI,PI;drug(s) added: NRTI,NRTI,PI"                |
                   a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,PI"                     |
                   a=="Other;drug(s) removed: RAL;drug(s) added: PI,RTV"                              |
                   a=="NNRTI to PI;drug(s) removed: NNRTI;drug(s) added: ENF,NRTI,PI,RTV"| 
                   a=="Other;drug(s) removed: ;drug(s) added: NNRTI,NRTI,PI,PI,RTV"| 
                   a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,PI,RTV"| 
                   a=="Other;drug(s) removed: NNRTI,NRTI,NRTI;drug(s) added: NNRTI,PI,PI,RTV"| 
                   a=="Other;drug(s) removed: NNRTI,NRTI;drug(s) added: NNRTI,NRTI,PI,RTV"| 
                   a=="Other;drug(s) removed: NNRTI,PI,RTV;drug(s) added: NRTI,NRTI,PI"| 
                   a=="Other;drug(s) removed: NNRTI,RTV;drug(s) added: NNRTI,NRTI"| 
                   a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NNRTI,NRTI,PI,RTV"| 
                   a=="Other;drug(s) removed: NRTI,NRTI,NRTI;drug(s) added: NNRTI,PI,RTV"| 
                   a=="Other;drug(s) removed: NRTI,NRTI;drug(s) added: NNRTI,PI,RTV"| 
                   a=="Other;drug(s) removed: NRTI,PI;drug(s) added: NNRTI,PI"|
                   a=="Other;drug(s) removed: PI,RTV;drug(s) added: NNRTI,PI"|
                   a=="Other;drug(s) removed: NNRTI;drug(s) added: MRV,PI,RTV"                        ,
                  "Other",as.character(a)))))))

table(classify.type.arv.change.m)


d$classify.type.arv.change.m<-factor(classify.type.arv.change.m,
                                   levels=c("Change of NRTI",
                                            "Change of NNRTI",
                                            "Change of NRTI and NNRTI",
                                            "Change of PI",
                                            "Change of NRTI and PI",
                                            "Other"),ordered=TRUE)



summary(d$cd4.reg2)
boxplot(d$cd4.reg2~d$site)

summary(d$nadir.cd4.prehaart)
boxplot(d$nadir.cd4.prehaart~d$site)



d$age2<-with(d,floor( (as.numeric(as.Date(second.start.date)) -as.numeric(as.Date(birth_d)) )/365.25))





d$reas<-ifelse(d$init.reason.oth!="",paste(d$init.reason,d$init.reason.oth,sep="; "),as.character(d$init.reason))


d$time.since.haart<-as.numeric(d$second.start.date)-as.numeric(d$init.start.date)
summary(d$time.since.haart)
summary(d$second.start.date)
summary(d$init.start.date)


junk<-strsplit(as.character(d$second.start.date),split="-")
junk1<-strsplit(as.character(d$init.start.date),split="-")
year.second<-year.init<-NULL
for (i in 1:length(d$second.start.date)) {
  year.second[i]<-as.numeric(junk[[i]][1])
  year.init[i]<-as.numeric(junk1[[i]][1])
}

d$year.second<-year.second
d$year.init<-year.init



######  I need to watch out for approximate dates here.  I have not yet done this.

d<-within(d, {
         death<-ifelse(!is.na(date.death),1,0)
         death1<-ifelse(is.na(date.death)|date.death=="1900-01-01",0,death) 
         ### Those patients whose date of death is unknown will be censored at their last visit date when I use 'death1'
         last.date<-as.Date(ifelse(death1==1,as.character(date.death),as.character(l_alive_d)), "%Y-%m-%d")
         time<-as.numeric(last.date-second.start.date)
         init.reason.cat=as.character(init.reason.cat) 
        
            })


# library(survival)
# 
# with(d,{
#   plot(survfit(Surv(time,death1)~1),xlim=c(0,3650),ylim=c(0,.3), conf.int=TRUE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Death", axes=FALSE, fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
# })
# 
# 
# with(d,{
#   S.a<-Surv(time[site=="argentina"],death1[site=="argentina"])
#   S.b<-Surv(time[site=="brazil"],death1[site=="brazil"])
#   S.c<-Surv(time[site=="chile"],death1[site=="chile"])
#   S.h<-Surv(time[site=="haiti"],death1[site=="haiti"])
#   S.ho<-Surv(time[site=="honduras"],death1[site=="honduras"])
#   S.m<-Surv(time[site=="mexico"],death1[site=="mexico"])
#   S.p<-Surv(time[site=="peru"],death1[site=="peru"])
# 
#   plot(survfit(Surv(time,death1)~site),xlim=c(0,3650),ylim=c(0,1), conf.int=FALSE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Death", axes=FALSE,fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
#   lines(survfit(S.a~1), mark.time=FALSE, col=2, fun="event")
#   lines(survfit(S.b~1), mark.time=FALSE, col=3, fun="event")
#   lines(survfit(S.c~1), mark.time=FALSE, col=4, fun="event")
#   lines(survfit(S.h~1), mark.time=FALSE, col=5, fun="event")
#   lines(survfit(S.ho~1), mark.time=FALSE, col=6, fun="event")
#   lines(survfit(S.m~1), mark.time=FALSE, col=7, fun="event")
#   lines(survfit(S.p~1), mark.time=FALSE, col=8, fun="event")
# 
#   legend("topleft",c("Argentina","Brazil","Chile","Haiti","Honduras","Mexico","Peru"),col=c(2:8),lty=rep(1,7))
# })
# 
# 
# with(d,{
#   S.reas.fail<-Surv(time[init.reason.cat=="failure"],death1[init.reason.cat=="failure"])
#   S.reas.tox<-Surv(time[init.reason.cat=="toxicity"],death1[init.reason.cat=="toxicity"])
#   S.reas.oth<-Surv(time[init.reason.cat=="other"],death1[init.reason.cat=="other"])
#   S.reas.unk<-Surv(time[init.reason.cat=="unknown"],death1[init.reason.cat=="unknown"])
# 
#   plot(survfit(S.reas.fail~1),xlim=c(0,3650),ylim=c(0,0.3), conf.int=FALSE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Death", axes=FALSE,col=2,fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
#   lines(survfit(S.reas.tox~1), mark.time=FALSE, col=3, fun="event")
#   lines(survfit(S.reas.oth~1), mark.time=FALSE, col=4, fun="event")
#   lines(survfit(S.reas.unk~1), mark.time=FALSE, col=5, fun="event")
# 
#   legend("topleft",c("Failure","Toxicity","Other","Unknown"),col=c(2:5),lty=rep(1,4),bty="n")
# })
# 
# 
# d.cox<-d[-which(d$init.reason.cat=="unknown"|d$init.reason.cat=="missing"),]
# 
# mod<-with(d.cox,coxph(Surv(time,death1)~nadir.cd4.prehaart+cd4.reg2+age2+male+second.class+init.reason.cat, strata(site)))
# summary(mod)






######  Time to change analysis.  Should I consider a competing events type analysis?

d<-within(d, {
  change2<-ifelse(!is.na(second.stop.date),1,0)
  last.date.change2<-as.Date(ifelse(change2==1,as.character(second.stop.date),
                            ifelse(death1==1,as.character(date.death),as.character(l_alive_d))), "%Y-%m-%d")
  time.change2<-as.numeric(last.date.change2-second.start.date)
})




# with(d,{
#   plot(survfit(Surv(time.change2,change2)~1),xlim=c(0,3650),ylim=c(0,1), conf.int=TRUE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Changing Regimen", axes=FALSE, fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
# })
# 
# 
# with(d,{
#   S.b<-Surv(time.change2[site=="brazil"],change2[site=="brazil"])
#   S.c<-Surv(time.change2[site=="chile"],change2[site=="chile"])
#   S.h<-Surv(time.change2[site=="haiti"],change2[site=="haiti"])
#   S.ho<-Surv(time.change2[site=="honduras"],change2[site=="honduras"])
#   S.m<-Surv(time.change2[site=="mexico"],change2[site=="mexico"])
#   S.p<-Surv(time.change2[site=="peru"],change2[site=="peru"])
#   
#   plot(survfit(Surv(time.change2,change2)~site),xlim=c(0,3650),ylim=c(0,1), conf.int=FALSE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Changing Regimen", axes=FALSE,fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
#   lines(survfit(S.b~1), mark.time=FALSE, col=2, fun="event")
#   lines(survfit(S.c~1), mark.time=FALSE, col=3, fun="event")  
#   lines(survfit(S.h~1), mark.time=FALSE, col=4, fun="event")  
#   lines(survfit(S.ho~1), mark.time=FALSE, col=5, fun="event")
#   lines(survfit(S.m~1), mark.time=FALSE, col=6, fun="event")
#   lines(survfit(S.p~1), mark.time=FALSE, col=7, fun="event")
#   
#   legend("bottomright",c("Brazil","Chile","Haiti","Honduras","Mexico","Peru"),col=c(2:7),lty=rep(1,2))
# })
# 
# 
# with(d,{
#   S.reas.fail<-Surv(time.change2[init.reason.cat=="failure"],change2[init.reason.cat=="failure"])
#   S.reas.tox<-Surv(time.change2[init.reason.cat=="toxicity"],change2[init.reason.cat=="toxicity"])
#   S.reas.oth<-Surv(time.change2[init.reason.cat=="other"],change2[init.reason.cat=="other"])
#   S.reas.unk<-Surv(time.change2[init.reason.cat=="unknown"],change2[init.reason.cat=="unknown"])
#   
#   plot(survfit(S.reas.fail~1),xlim=c(0,3650),ylim=c(0,1), conf.int=FALSE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Changing Regimen", axes=FALSE,col=2,fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
#   lines(survfit(S.reas.tox~1), mark.time=FALSE, col=3, fun="event")
#   lines(survfit(S.reas.oth~1), mark.time=FALSE, col=4, fun="event")
#   lines(survfit(S.reas.unk~1), mark.time=FALSE, col=5, fun="event")
#   
#   legend("topleft",c("Failure","Toxicity","Other","Unknown"),col=c(2:5),lty=rep(1,4),bty="n")
# })



d<-within(d, {  
  change2.fail<-ifelse(!is.na(date.regimen2.change.fail),1,0)
  last.date.change2.fail<-as.Date(ifelse(change2.fail==1,as.character(date.regimen2.change.fail),
                                         ifelse(change2==1,as.character(second.stop.date),
                                         ifelse(death1==1,as.character(date.death),as.character(l_alive_d)))), "%Y-%m-%d")
  time.change2.fail<-as.numeric(last.date.change2.fail-second.start.date)
})

d<-within(d, {  
  change2.vir.fail<-ifelse(!is.na(date.regimen2.change.vir.fail),1,0)
  last.date.change2.vir.fail<-as.Date(ifelse(change2.vir.fail==1,as.character(date.regimen2.change.vir.fail),
                                         ifelse(change2==1,as.character(second.stop.date),
                                                ifelse(death1==1,as.character(date.death),as.character(l_alive_d)))), "%Y-%m-%d")
  time.change2.vir.fail<-as.numeric(last.date.change2.vir.fail-second.start.date)
})

d<-within(d, {  
  change2.tox<-ifelse(!is.na(date.regimen2.change.tox),1,0)
  last.date.change2.tox<-as.Date(ifelse(change2.tox==1,as.character(date.regimen2.change.tox),
                                        ifelse(change2==1,as.character(second.stop.date),
                                        ifelse(death1==1,as.character(date.death),as.character(l_alive_d)))), "%Y-%m-%d")
  time.change2.tox<-as.numeric(last.date.change2.tox-second.start.date)
})



# with(d,{
#   plot(survfit(Surv(time.change2.fail,change2.fail)~1),xlim=c(0,3650),ylim=c(0,0.3), conf.int=TRUE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Changing Regimen due to Failure", axes=FALSE, fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
# })
# 
# 
# with(d,{
#   S.b<-Surv(time.change2.fail[site=="brazil"],change2.fail[site=="brazil"])
#   S.c<-Surv(time.change2.fail[site=="chile"],change2.fail[site=="chile"])
#   S.h<-Surv(time.change2.fail[site=="haiti"],change2.fail[site=="haiti"])
#   S.ho<-Surv(time.change2.fail[site=="honduras"],change2.fail[site=="honduras"])
#   S.m<-Surv(time.change2.fail[site=="mexico"],change2.fail[site=="mexico"])
#   S.p<-Surv(time.change2.fail[site=="peru"],change2.fail[site=="peru"])
#   
#   plot(survfit(Surv(time.change2.fail,change2.fail)~site,subset=site!="honduras"),xlim=c(0,3650),ylim=c(0,0.3), conf.int=FALSE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Changing Regimen due to Failure", axes=FALSE,fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
#   lines(survfit(S.b~1), mark.time=FALSE, col=2, fun="event")
#   lines(survfit(S.c~1), mark.time=FALSE, col=3, fun="event")
#   lines(survfit(S.h~1), mark.time=FALSE, col=4, fun="event")
#   lines(survfit(S.ho~1), mark.time=FALSE, col=5, fun="event")
#   lines(survfit(S.m~1), mark.time=FALSE, col=6, fun="event")
#   lines(survfit(S.p~1), mark.time=FALSE, col=7, fun="event")
#   
#   legend("topleft",c("Brazil","Chile","Haiti","Honduras","Mexico","Peru"),col=c(2:7),lty=rep(1,7))
# })
# 
# 
# with(d,{
#   S.reas.fail<-Surv(time.change2.fail[init.reason.cat=="failure"],change2.fail[init.reason.cat=="failure"])
#   S.reas.tox<-Surv(time.change2.fail[init.reason.cat=="toxicity"],change2.fail[init.reason.cat=="toxicity"])
#   S.reas.oth<-Surv(time.change2.fail[init.reason.cat=="other"],change2.fail[init.reason.cat=="other"])
#   S.reas.unk<-Surv(time.change2.fail[init.reason.cat=="unknown"],change2.fail[init.reason.cat=="unknown"])
#   
#   plot(survfit(S.reas.fail~1),xlim=c(0,3650),ylim=c(0,0.3), conf.int=FALSE, mark.time=FALSE, xlab="Years from Start of Second Regimen",
#        ylab="Probability of Changing Regimen due to Failure", axes=FALSE,col=2,fun="event")
#   axis(2)
#   axis(1,at=c(365*(0:10)),label=c(0:10))
#   lines(survfit(S.reas.tox~1), mark.time=FALSE, col=3, fun="event")
#   lines(survfit(S.reas.oth~1), mark.time=FALSE, col=4, fun="event")
#   lines(survfit(S.reas.unk~1), mark.time=FALSE, col=5, fun="event")
#   
#   legend("topleft",c("Failure","Toxicity","Other","Unknown"),col=c(2:5),lty=rep(1,4),bty="n")
# })

save(d,file="d-second-chunk.Rda")


# d1<-d[,c("id","site","init.reg","init.class","init.start.date","init.stop.date","init.reason","init.reason.oth","init.reason.cat",
#          "second.reg","second.class","second.start.date","second.stop.date","second.reason","second.reason.oth","second.reason.cat",
#          "male","age","date.death","aids.enrollment","nadir.cd4.prehaart","date.nadir.cd4.prehaart","cd4.reg2","date.cd4.reg2",
#          "rna1","undetect1","rna1.date","rna2","undetect2","n.change","num.change.cat","classify.type.arv.change","age2","time.since.haart","year.second",
#          "time","last.date","death1","time.change2","last.date.change2","change2","change2.fail","change2.tox","fail","time.failure")]
# write.csv(d1,file="internal-audit/second-regimens-27sep2012.csv",row.names=FALSE)



###########  New material added on 2015-01-26 to respond to reviewers

# setwd("~/inf_dis/hiv/ccasanet/dropbox-ccasanet-studies-2014-01-16/marcelo")
# load("d-second-chunk.Rda")



stuff1<-strsplit(as.character(d$init.reg),',')
stuff2<-strsplit(as.character(d$second.reg),',')

v.3tc<-function(drug) {ifelse(drug=="3TC",1,0)  }
v.ftc<-function(drug) {ifelse(drug=="FTC",1,0)  }
v.efv<-function(drug) {ifelse(drug=="EFV",1,0)  }
v.nvp<-function(drug) {ifelse(drug=="NVP",1,0)  }
v.dlv<-function(drug) {ifelse(drug=="DLV",1,0)  }
v.rpv<-function(drug) {ifelse(drug=="RPV",1,0)  }
v.etr<-function(drug) {ifelse(drug=="ETR",1,0)  }
v.abc<-function(drug) {ifelse(drug=="ABC",1,0)  }
v.azt<-function(drug) {ifelse(drug=="AZT",1,0)  }
v.d4t<-function(drug) {ifelse(drug=="D4T",1,0)  }
v.ddi<-function(drug) {ifelse(drug=="DDI",1,0)  }
v.tdf<-function(drug) {ifelse(drug=="TDF",1,0)  }
v.ddc<-function(drug) {ifelse(drug=="DDC",1,0)  }
v.atv<-function(drug) {ifelse(drug=="ATV",1,0)  }
v.sqv<-function(drug) {ifelse(drug=="SQV",1,0)  }
v.nfv<-function(drug) {ifelse(drug=="NFV",1,0)  }
v.lpv<-function(drug) {ifelse(drug=="LPV",1,0)  }
v.idv<-function(drug) {ifelse(drug=="IDV",1,0)  }
v.fpv<-function(drug) {ifelse(drug=="FPV",1,0)  }
v.apv<-function(drug) {ifelse(drug=="APV",1,0)  }
v.drv<-function(drug) {ifelse(drug=="DRV",1,0)  }
v.tpv<-function(drug) {ifelse(drug=="TPV",1,0)  }

d.azt<-d.3tc<-d.ftc<-d.efv<-d.nvp<-d.dlv<-d.rpv<-d.etr<-d.abc<-d.azt<-d.d4t<-d.ddi<-d.tdf<-d.ddc<-d.atv<-d.sqv<-
  d.nfv<-d.lpv<-d.idv<-d.fpv<-d.apv<-d.drv<-d.tpv<-rep(NA,length(d$init.reg))
for (i in 1:length(stuff1)){
  d.3tc[i]<-sum(v.3tc(stuff1[[i]]))
  d.ftc[i]<-sum(v.ftc(stuff1[[i]]))
  d.efv[i]<-sum(v.efv(stuff1[[i]]))
  d.nvp[i]<-sum(v.nvp(stuff1[[i]]))
  d.dlv[i]<-sum(v.dlv(stuff1[[i]]))
  d.rpv[i]<-sum(v.rpv(stuff1[[i]]))
  d.etr[i]<-sum(v.etr(stuff1[[i]]))
  d.abc[i]<-sum(v.abc(stuff1[[i]]))
  d.azt[i]<-sum(v.azt(stuff1[[i]]))
  d.d4t[i]<-sum(v.d4t(stuff1[[i]]))
  d.ddi[i]<-sum(v.ddi(stuff1[[i]]))
  d.tdf[i]<-sum(v.tdf(stuff1[[i]]))
  d.ddc[i]<-sum(v.ddc(stuff1[[i]]))
  d.atv[i]<-sum(v.atv(stuff1[[i]]))
  d.sqv[i]<-sum(v.sqv(stuff1[[i]]))
  d.nfv[i]<-sum(v.nfv(stuff1[[i]]))
  d.lpv[i]<-sum(v.lpv(stuff1[[i]]))
  d.idv[i]<-sum(v.idv(stuff1[[i]]))
  d.fpv[i]<-sum(v.fpv(stuff1[[i]]))
  d.apv[i]<-sum(v.apv(stuff1[[i]]))
  d.drv[i]<-sum(v.drv(stuff1[[i]]))
  d.tpv[i]<-sum(v.tpv(stuff1[[i]]))
}


e.azt<-e.3tc<-e.ftc<-e.efv<-e.nvp<-e.dlv<-e.rpv<-e.etr<-e.abc<-e.azt<-e.d4t<-e.ddi<-e.tdf<-e.ddc<-e.atv<-e.sqv<-
  e.nfv<-e.lpv<-e.idv<-e.fpv<-e.apv<-e.drv<-e.tpv<-rep(NA,length(d$init.reg))
for (i in 1:length(stuff2)){
  e.3tc[i]<-sum(v.3tc(stuff2[[i]]))
  e.ftc[i]<-sum(v.ftc(stuff2[[i]]))
  e.efv[i]<-sum(v.efv(stuff2[[i]]))
  e.nvp[i]<-sum(v.nvp(stuff2[[i]]))
  e.dlv[i]<-sum(v.dlv(stuff2[[i]]))
  e.rpv[i]<-sum(v.rpv(stuff2[[i]]))
  e.etr[i]<-sum(v.etr(stuff2[[i]]))
  e.abc[i]<-sum(v.abc(stuff2[[i]]))
  e.azt[i]<-sum(v.azt(stuff2[[i]]))
  e.d4t[i]<-sum(v.d4t(stuff2[[i]]))
  e.ddi[i]<-sum(v.ddi(stuff2[[i]]))
  e.tdf[i]<-sum(v.tdf(stuff2[[i]]))
  e.ddc[i]<-sum(v.ddc(stuff2[[i]]))
  e.atv[i]<-sum(v.atv(stuff2[[i]]))
  e.sqv[i]<-sum(v.sqv(stuff2[[i]]))
  e.nfv[i]<-sum(v.nfv(stuff2[[i]]))
  e.lpv[i]<-sum(v.lpv(stuff2[[i]]))
  e.idv[i]<-sum(v.idv(stuff2[[i]]))
  e.fpv[i]<-sum(v.fpv(stuff2[[i]]))
  e.apv[i]<-sum(v.apv(stuff2[[i]]))
  e.drv[i]<-sum(v.drv(stuff2[[i]]))
  e.tpv[i]<-sum(v.tpv(stuff2[[i]]))
}


rbind(
c("NVP",sum(d.nvp),sum(e.nvp)),
c("EFV",sum(d.efv),sum(e.efv)),
c("DLV",sum(d.dlv),sum(e.dlv)),
c("RPV",sum(d.rpv),sum(e.rpv)),
c("ETR",sum(d.etr),sum(e.etr)),
c("3TC",sum(d.3tc),sum(e.3tc)),
c("FTC",sum(d.ftc),sum(e.ftc)),
c("ABC",sum(d.abc),sum(e.abc)),
c("AZT",sum(d.azt),sum(e.azt)),
c("D4T",sum(d.d4t),sum(e.d4t)),
c("DDI",sum(d.ddi),sum(e.ddi)),
c("TDF",sum(d.tdf),sum(e.tdf)),
c("DDC",sum(d.ddc),sum(e.ddc)),
c("ATV",sum(d.atv),sum(e.atv)),
c("SQV",sum(d.sqv),sum(e.sqv)),
c("NFV",sum(d.nfv),sum(e.nfv)),
c("LPV",sum(d.lpv),sum(e.lpv)),
c("IDV",sum(d.idv),sum(e.idv)),
c("FPV",sum(d.fpv),sum(e.fpv)),
c("APV",sum(d.apv),sum(e.apv)),
c("DRV",sum(d.drv),sum(e.drv)),
c("TPV",sum(d.tpv),sum(e.tpv))
)


d$r1.3tc<-d.3tc
d$r1.ftc<-d.ftc
d$r1.efv<-d.efv
d$r1.nvp<-d.nvp
d$r1.dlv<-d.dlv
d$r1.rpv<-d.rpv
d$r1.etr<-d.etr
d$r1.abc<-d.abc
d$r1.azt<-d.azt
d$r1.d4t<-d.d4t
d$r1.ddi<-d.ddi
d$r1.tdf<-d.tdf
d$r1.ddc<-d.ddc
d$r1.atv<-d.atv
d$r1.sqv<-d.sqv
d$r1.nfv<-d.nfv
d$r1.lpv<-d.lpv
d$r1.idv<-d.idv
d$r1.fpv<-d.fpv
d$r1.apv<-d.apv
d$r1.drv<-d.drv
d$r1.tpv<-d.tpv
d$r2.3tc<-e.3tc
d$r2.ftc<-e.ftc
d$r2.efv<-e.efv
d$r2.nvp<-e.nvp
d$r2.dlv<-e.dlv
d$r2.rpv<-e.rpv
d$r2.etr<-e.etr
d$r2.abc<-e.abc
d$r2.azt<-e.azt
d$r2.d4t<-e.d4t
d$r2.ddi<-e.ddi
d$r2.tdf<-e.tdf
d$r2.ddc<-e.ddc
d$r2.atv<-e.atv
d$r2.sqv<-e.sqv
d$r2.nfv<-e.nfv
d$r2.lpv<-e.lpv
d$r2.idv<-e.idv
d$r2.fpv<-e.fpv
d$r2.apv<-e.apv
d$r2.drv<-e.drv
d$r2.tpv<-e.tpv


d$aids.enrollment<-d$preARTAIDS.clinical


save(d,file="d-second-chunk.Rda")






