

##### CD4 trajectories

rm(list=ls())

setwd("~/Documents/marcelo")
load("d-second-chunk.Rda")

d.cd4<-read.csv("adultdata-2015-01-01/lab_cd4.csv")
d.rna<-read.csv("adultdata-2015-01-01/lab_rna.csv")
d.cd4<-d.cd4[d.cd4$site!="brazil",]
d.rna<-d.rna[d.rna$site!="brazil",]
d1.cd4<-read.csv("data-frozen-marcelo-2013-12-20/lab_cd4.csv")
d1.cd4$patient<-paste("br",d1.cd4$patient,sep=".")
d1.rna<-read.csv("data-frozen-marcelo-2013-12-20/lab_rna.csv")
d1.rna$patient<-paste("br",d1.rna$patient,sep=".")
d1.cd4<-d1.cd4[d1.cd4$site=="brazil",]
d1.rna<-d1.rna[d1.rna$site=="brazil",]

d1.cd4.n<-with(d1.cd4, data.frame(site,patient,cd4_d,cd4_d_a,cd4_v,cd4_per))
d.cd4.n<-with(d.cd4, data.frame(site,patient,cd4_d,cd4_d_a,cd4_v,cd4_per))
d.cd4.new<-rbind(d1.cd4.n,d.cd4.n)
d.cd4<-d.cd4.new
rm(d.cd4.new,d.cd4.n,d1.cd4.n,d1.cd4)

d1.rna.n<-with(d1.rna, data.frame(site,patient,rna_d,rna_d_a,rna_v,rna_l,rna_u,rna_t))
d.rna.n<-with(d.rna, data.frame(site,patient,rna_d,rna_d_a,rna_v,rna_l,rna_u,rna_t))
d.rna.new<-rbind(d1.rna.n,d.rna.n)
d.rna<-d.rna.new
rm(d.rna.new,d.rna.n,d1.rna.n,d1.rna)

d.cd4<-d.cd4[!is.na(d.cd4$cd4_d),]
d.rna<-d.rna[!is.na(d.rna$rna_d),]

dc1 <- merge(d,d.cd4,by.x=c("id","site"),by.y=c("patient","site"),all.x=TRUE)
dim(dc1)

dc1<-within(dc1, {
  time.cd4.2<-as.numeric(as.Date(cd4_d))-as.numeric(second.start.date)
})

summary(dc1$time.cd4.2)

dc<-dc1[-which(dc1$time.cd4.2<0),]

dim(dc)

ord<-order(dc$site,dc$id,dc$time.cd4.2)
dc<-dc[ord,]




########  Building on some code Meridith sent me

library(latticeExtra)
###################
##### BY TIME #####
###################

my.panel <- function(x,y,...){
  panel.xyplot(x,y,type=c('g','l'),col="#FFCC00")
}
panel.smoother.nospan <-function(x,y,...){
  panel.superpose(x,y,panel.groups=my.panel,...)
  panel.loess(x,y,col="#000099",lwd=6)
}
panel.nosmoother <-function(x,y,...){
  panel.superpose(x,y,panel.groups=my.panel,...)
}
panel.smoother <-function(x,y,...){
  panel.superpose(x,y,panel.groups=my.panel,...)
  panel.loess(x,y,col="#000099",lwd=6,span=0.8)
}
panel.smoother.tight <-function(x,y,...){
  panel.superpose(x,y,panel.groups=my.panel,...)
  panel.loess(x,y,col="#000099",lwd=6,span=1.2)
}
removegrid <- trellis.par.get("reference.line")
removegrid$col <- "transparent"
trellis.par.set("reference.line", removegrid)


time360 <- seq(0,10,1)
cd4 <- c(0,25,50,100,200,350,500,750,1000,1500)
## expression("CD4 count (cells/"*mu*L*")") PRODUCING WEIRD CHARACTER :(

xyplot(sqrt(cd4_v) ~ time.cd4.2|site, data = dc, groups = id, aspect = 1, panel=panel.smoother,ylab="CD4 count (cells/uL)",
       xlab="Time on second regimen (years)", scales=list(x=list(at=time360*365, labels=time360), y=list(at=sqrt(cd4), labels=cd4)),
       xlim=c(0,10*365),ylim=c(0,sqrt(1500)), 
       main="CD4 change based on Study Site")

xyplot(sqrt(cd4_v) ~ time.cd4.2|init.reason.cat, data = dc, groups = id, aspect = 1, panel=panel.smoother,ylab="CD4 count (cells/uL)",
       xlab="Time on second regimen (years)", scales=list(x=list(at=time360*365, labels=time360), y=list(at=sqrt(cd4), labels=cd4)),
       subset=(init.reason.cat!="missing"),xlim=c(0,10*365),ylim=c(0,sqrt(1500)),
       main="CD4 change based on Reason for Changing to Second Regimen")






##### VL trajectories

d.rna$rna.d<-as.Date(d.rna$rna_d,"%Y-%m-%d")

d$time.stop2<-d$second.stop.date-d$second.start.date

dr1 <- merge(d,d.rna,by.x=c("id","site"),by.y=c("patient","site"),all.x=TRUE)
dim(dr1)

dr1<-within(dr1, {
  time.rna.2<-as.numeric(rna.d)-as.numeric(second.start.date)
})

summary(dr1$time.rna.2)

dr<-dr1[-which(dr1$time.rna.2<0),]

dim(dr)

ord<-order(dr$site,dr$id,dr$time.rna.2)
dr<-dr[ord,]



dr<-within(dr, {
  rna.v<-ifelse(rna_v>400,rna_v,400)
  logvl<-log10(rna.v)
})


id.site<-with(dr, paste(id,site,sep="-"))
unique.id.site<-unique(id.site)
freq<-sitestuff<-NULL
for(i in 1:length(unique.id.site)){
  count<-length(id.site[id.site==unique.id.site[i]])
  freq[i]<-count/dr$time[id.site==unique.id.site[i]][1]
  sitestuff[i]<-dr$site[id.site==unique.id.site[i]][1]
}

median(freq[sitestuff=="argentina"])*365.25
median(freq[sitestuff=="brazil"])*365.25
median(freq[sitestuff=="chile"])*365.25
median(freq[sitestuff=="honduras"])*365.25
median(freq[sitestuff=="mexico"])*365.25
median(freq[sitestuff=="peru"])*365.25
median(freq)*365.25


time360 <- seq(0,10,1)
logvl.lab <- c(2,3,4,5,6,7)
# 
# xyplot(logvl ~ time.rna.2|site, data = dr, groups = id, aspect = 1, panel=panel.smoother,ylab="HIV-1 RNA (log10 transformed)",
#        xlab="Time on second regimen (years)", scales=list(x=list(at=time360*365, labels=time360), y=list(at=logvl.lab, labels=logvl.lab)),
#        xlim=c(0,10*365),ylim=c(2,7), 
#        main="HIV-1 RNA based on Study Site")
# 
# xyplot(logvl ~ time.rna.2|init.reason.cat, data = dr, groups = id, aspect = 1, panel=panel.smoother,ylab="HIV-1 RNA (log10 transformed)",
#        xlab="Time on second regimen (years)", scales=list(x=list(at=time360*365, labels=time360), y=list(at=logvl.lab, labels=logvl.lab)),
#        subset=(init.reason.cat!="missing"),xlim=c(0,10*365),ylim=c(2,7),
#        main="HIV-1 RNA based on Reason for Changing to Second Regimen")
# 







#####  Identifying those with virologic failure

dr<-dr[!is.na(dr$rna.v),]    ##### Removing from the dataset those with unknown VL

id.site<-with(dr,paste(id,site,sep="-"))
vl.detect<-ifelse(dr$rna.v>400,1,0)
vl<-dr$rna.v

unique.id.site<-unique(id.site)

fail<-time.failure<-rep(NA,length(unique.id.site))
fail.1000<-time.failure.1000<-rep(NA,length(unique.id.site))
for (i in 1:length(unique.id.site)) {
  time.since2<-dr$rna.d[id.site==unique.id.site[i]] - dr$second.start.date[id.site==unique.id.site[i]]
  vl.detect.id<-vl.detect[id.site==unique.id.site[i]]
  vl.id<-vl[id.site==unique.id.site[[i]]]
  
  time.since2
  vl.detect.id
  vl.id
  
  leq.180<-time.since2<=180
  min.time.since2gt180<-ifelse(any(time.since2>180),min(time.since2[time.since2>180]),999999)
  
  ####  fail1==1 if all measurements during the first 180 days are detectable and the first measurement after 180 days is detectable also.
  ####  fail1==1 also if there are no measurements during the first 180 days but their first measurement after 180 days is detectable
  
  fail1<-vl.detect.id==1&time.since2==min.time.since2gt180 &prod(vl.detect.id[leq.180])==1     ### All measurements <180 days need to be detectable
  
      #####  product of NULL is 1 -- look into fixing (but that's OK)
  
  lag.vl.detect.id<-c(NA,vl.detect.id)
  vl.detect.id.pro<-c(vl.detect.id,NA)
  vl.detect.id.pro2<-c(vl.detect.id[-1],NA,NA)
  
  fail2<-ifelse(is.na(lag.vl.detect.id)|is.na(vl.detect.id.pro)|is.na(vl.detect.id.pro2),FALSE,
                ifelse(lag.vl.detect.id==0&vl.detect.id.pro==1&vl.detect.id.pro2==1,TRUE,FALSE))  
  fail4<-c(FALSE,fail2[-c(length(fail2)-1,length(fail2))])  ##  Shifted so that failure is at time of second detectable measure
  
  fail3<-fail4|fail1
    
  fail[i]<-FALSE
  if (any(fail3)) {
    time.failure3<-min(time.since2[fail3])
    fail[i]<-is.na(dr$time.stop2[id.site==unique.id.site[i]][1])|time.failure3<=dr$time.stop2[id.site==unique.id.site[i]][1]
    time.failure[i]<-time.failure3
  }
  
  gt.1000<-ifelse(vl.id>1000,1,0)
  
  fail5<-ifelse(leq.180==FALSE&gt.1000==1,1,0)
  
  n.undetect<-cumsum(1-vl.detect.id)
  fail5a<-ifelse(leq.180==TRUE&gt.1000==1&n.undetect>0,1,0)
  
  fail6<-fail3|fail5|fail5a
  
  fail.1000[i]<-FALSE
  if (any(fail6)) {
    time.failure6<-min(time.since2[fail6])
    fail.1000[i]<-is.na(dr$time.stop2[id.site==unique.id.site[i]][1])|time.failure6<=dr$time.stop2[id.site==unique.id.site[i]][1]
    time.failure.1000[i]<-time.failure6
  }
  
}
time.failure<-ifelse(fail==FALSE,NA,time.failure)
time.failure.1000<-ifelse(fail.1000==FALSE,NA,time.failure.1000)

d.fail<-data.frame(id.site=unique.id.site,fail,time.failure,fail.1000,time.failure.1000)


d$id.site<-paste(d$id,d$site,sep="-")
d.new<-merge(d,d.fail,by="id.site",all.y=TRUE)


save(d.new,file="marcelo-third-chunk.Rda")




#####  Computing LTFU

rm(list=ls())
load("d-second-chunk.Rda")

lost.window<-365

summary(d$last.date[d$site=="argentina"])
summary(d$last.date[d$site=="brazil"])
summary(d$last.date[d$site=="chile"])
summary(d$last.date[d$site=="haiti"])
summary(d$last.date[d$site=="honduras"])
summary(d$last.date[d$site=="mexico"])
summary(d$last.date[d$site=="peru"])

d.close.a<-as.Date("2012-10-31")  #max(d$last.date[d$site=="argentina"])
d.close.b<-max(d$last.date[d$site=="brazil"])
d.close.c<-max(d$last.date[d$site=="chile"])
d.close.h<-max(d$last.date[d$site=="haiti"])
d.close.ho<-max(d$last.date[d$site=="honduras"])
d.close.m<-max(d$last.date[d$site=="mexico"])
d.close.p<-max(d$last.date[d$site=="peru"])

d.close<-as.Date(ifelse(d$site=="argentina"|d$site=="haiti"|d$site=="honduras","2013-01-01",
                 ifelse(d$site=="brazil",as.character(d.close.b),"2014-01-01")))

lost1<-ifelse(d$death1==0&d$last.date<d.close-lost.window,1,0)

d.lost<-data.frame(id=d$id,site=d$site,lost1=lost1,
                      last.date=d$last.date,d.close=d.close,death1=d$death1)


####  Looking at transfers
d.follow<-read.csv("adultdata-2015-01-01/follow.csv")
d.follow<-d.follow[d.follow$site!="brazil",]
d1.follow<-read.csv("data-frozen-marcelo-2013-12-20/follow.csv")
d1.follow$patient<-paste("br",d1.follow$patient,sep=".")
d1.follow<-d1.follow[d1.follow$site=="brazil",]
d1.follow.n<-with(d1.follow, data.frame(site,patient,death_y,death_d,death_d_a=NA,drop_y,drop_d,drop_rs,drop_rs_oth=NA,l_alive_d))
d.follow.n<-with(d.follow, data.frame(site,patient,death_y,death_d,death_d_a,drop_y,drop_d,drop_rs,drop_rs_oth,l_alive_d))
d.follow.new<-rbind(d1.follow.n,d.follow.n)
d.follow<-d.follow.new
rm(d.follow.new,d.follow.n,d1.follow.n,d1.follow)

d.follow$drop_rs_oth<-with(d.follow,ifelse(is.na(drop_rs_oth),"",as.character(drop_rs_oth)))

d.follow$transfer<-with(d.follow,(ifelse(drop_rs=="Patient transfered"|drop_rs=="Patient moved away"|drop_rs=="Consent withdrawn"|
                                           drop_rs_oth=="insurance change"|drop_rs_oth=="INSURANCE CHANGE"|drop_rs_oth=="patient tranferred"|drop_rs_oth=="patient transferred"|
                                           drop_rs_oth=="referred to elite controllers clinical trial"|drop_rs_oth=="Traslado al CAI Hosp escuela"|
                                           drop_rs_oth=="PACIENTE PERDIO SU TRABAJO Y FUE TRASLADADO AL CENTRO DE SLUD ALONZO SUAZO"|
                                           drop_rs_oth=="PATIENT TRANSFERRED"|drop_rs_oth=="Despedido del trabajo"|drop_rs_oth=="HIV negative"|
                                           drop_rs_oth=="patient moved",1,0)))

d.follow1<-data.frame(id=as.character(d.follow$patient),transfer=d.follow$transfer)
d.lost<-merge(d.lost,d.follow1,by.x="id",by.y="id",all.x=TRUE) 

d.lost$lost1<-with(d.lost, ifelse(transfer==1,0,d.lost$lost1))



# d.lost.haiti<-read.csv("../data-frozen-marcelo/tblltfu_feb2013haiti.csv")
# d.lost.haiti$site<-"haiti"
# d.lost.n<-merge(d.lost,d.lost.haiti,by.x=c("id","site"),by.y=c("PATIENT","site"),all.x=TRUE)
# 
# d.lost.n$last.date.new<-as.Date(ifelse(!is.na(d.lost.n$last_visit_d),as.character(d.lost.n$last_visit_d),
#                                        as.character(d.lost.n$last.date)))
# 
# d.lost.n$lost1<-ifelse(d.lost.n$death1==0&d.lost.n$last.date.new<d.lost.n$d.close-lost.window,1,0)
# d.lost.n$death_y<-d.lost.n$last_visit_d<-NULL
# 
# #stuff<-data.frame(id=d.lost.n$id[d.lost.n$site=="honduras"&d.lost.n$lost1==1],last.visit=d.lost.n$last.date[d.lost.n$site=="honduras"&d.lost.n$lost1==1])
# #write.csv(stuff,file="ltfu-honduras.csv",row.names=FALSE)
# 
# #stuff<-data.frame(id=d.lost.n$id[d.lost.n$site=="argentina"&d.lost.n$lost1==1],last.visit=d.lost.n$last.date[d.lost.n$site=="argentina"&d.lost.n$lost1==1])
# #write.csv(stuff,file="ltfu-argentina.csv",row.names=FALSE)
# 
# ########  No longer relevant because we're using the Argentina-SS dataset 
# # d.lost.argentina<-read.csv("../data-frozen-marcelo/HF-LTFU_NEWVISITS_22FEB2013.csv")
# # 
# # names(d.lost.argentina)
# # d.lost.arg<-data.frame(id=d.lost.argentina$id,
# #                        site="argentina",
# #                        last.visit.new.a=as.Date(d.lost.argentina$lastvisit_new,"%d-%b-%y"))
# # 
# # d.lost.n<-merge(d.lost.n,d.lost.arg,by.x=c("id","site"),by.y=c("id","site"),all.x=TRUE)
# # d.lost.n$last.date.new<-as.Date(ifelse(!is.na(d.lost.n$last.visit.new.a),as.character(d.lost.n$last.visit.new.a),
# #                                        as.character(d.lost.n$last.date.new)))
# # d.lost.n$lost1<-ifelse(d.lost.n$death1==0&d.lost.n$last.date.new<d.lost.n$d.close-365,1,0)
# # d.lost.n$last.visit.new.a<-NULL
# 
# 
# d.lost.honduras<-read.csv("../data-frozen-marcelo/tblltfu_honduras.csv")
# 
# names(d.lost.honduras)
# d.lost.honduras$last.visit.new.h<-as.Date(ifelse(d.lost.honduras$death_y==1 & 
#                                             as.Date(d.lost.honduras$death_d,"%Y-%m-%d")>as.Date(d.lost.honduras$last_visit_d),
#                                             as.character(d.lost.honduras$death_d),
#                                             as.character(d.lost.honduras$last_visit_d)))
# d.lost.honduras$site<-"honduras"
# d.lost.honduras$last_visit_d<-d.lost.honduras$death_y<-d.lost.honduras$death_d<-NULL
# 
# d.lost.n<-merge(d.lost.n,d.lost.honduras,by.x=c("id","site"),by.y=c("patient","site"),all.x=TRUE)
# d.lost.n$last.date.new<-as.Date(ifelse(!is.na(d.lost.n$last.visit.new.h),as.character(d.lost.n$last.visit.new.h),
#                                        as.character(d.lost.n$last.date.new)))
# d.lost.n$lost1<-ifelse(d.lost.n$death1==0&d.lost.n$last.date.new<d.lost.n$d.close-lost.window,1,0)
# 
# 
# 
# table(lost1,d$site)
# table(d.lost.n$lost1,d.lost.n$site)
# 
# #stuff<-data.frame(id=d.lost.n$id[d.lost.n$site=="honduras"&d.lost.n$lost1==1],last.visit=d.lost.n$last.date[d.lost.n$site=="honduras"&d.lost.n$lost1==1])
# #write.csv(stuff,file="ltfu-honduras.csv",row.names=FALSE)
# 
# 
# d.ho.lost<-read.csv("../data-frozen-marcelo/listado-de-pacientes-en-abandono-honduras.csv",header=TRUE)
# ltfu<-ifelse(d.ho.lost$Estado.del.paciente=="Activo"|d.ho.lost$Estado.del.paciente=="Traslado",0,1)
# d.ho.lost2<-data.frame(id=d.ho.lost$id,site="honduras",ltfu=ltfu)
# 
# d.lost.final<-merge(d.lost.n,d.ho.lost2,by=c("id","site"),all.x=TRUE)
# d.lost.final$lost1<-ifelse(d.lost.final$site!="honduras",d.lost.final$lost1,
#                            ifelse(d.lost.final$site=="honduras"&d.lost.final$lost1==1&d.lost.final$ltfu==0,0,
#                                   d.lost.final$lost1))
# d.lost.final$ltfu<-NULL

#table(lost1,d$site)

d.lost.final<-d.lost

table(d.lost.final$lost1)
round(table(d.lost.final$lost1)/length(d.lost.final$lost1),3)

table.lost<-table(d.lost.final$lost1,d.lost.final$site)

table.lost
round(table(d.lost.final$lost1,d.lost.final$site)[2,]/table(d.lost.final$site),3)


dlost<-merge(d.lost.final,d,by=c("id","site"),all=TRUE)


lost.stats<-function(dlost,site.select){ 
age.lost0<-with(dlost, summary(age2[lost1==0&site==site.select]))[c(2,3,5)]
age.lost1<-with(dlost, summary(age2[lost1==1&site==site.select]))[c(2,3,5)]
age.lostp<-with(dlost, wilcox.test(age2~lost1,subset=site==site.select))$p.value

cd42.lost0<-with(dlost, summary(cd4.reg2[lost1==0&site==site.select]))[c(2,3,5)]
cd42.lost1<-with(dlost, summary(cd4.reg2[lost1==1&site==site.select]))[c(2,3,5)]
cd42.lostp<-with(dlost, wilcox.test(cd4.reg2~lost1,subset=site==site.select))$p.value

year2.lost0<-with(dlost, summary(year.second[lost1==0&site==site.select]))[c(2,3,5)]
year2.lost1<-with(dlost, summary(year.second[lost1==1&site==site.select]))[c(2,3,5)]
year2.lostp<-with(dlost, wilcox.test(year.second~lost1,subset=site==site.select))$p.value

time.since.lost0<-with(dlost, summary(time.since.haart[lost1==0&site==site.select]))[c(2,3,5)]
time.since.lost1<-with(dlost, summary(time.since.haart[lost1==1&site==site.select]))[c(2,3,5)]
time.since.lostp<-with(dlost, wilcox.test(time.since.haart~lost1,subset=site==site.select))$p.value

male.lost01<-with(dlost, table(male[site==site.select],lost1[site==site.select])[2,])
male.lost01p<-with(dlost, table(male[site==site.select],lost1[site==site.select])[2,]/table(lost1[site==site.select]))
male.lostp<-with(dlost, chisq.test(table(lost1[site==site.select],male[site==site.select])))$p.value

aids.lost01<-with(dlost, table(aids.enrollment[site==site.select],lost1[site==site.select])[2,])
aids.lost01p<-with(dlost, table(aids.enrollment[site==site.select],lost1[site==site.select])[2,]/table(lost1[site==site.select&aids.enrollment!="Unknown"]))
aids.lostp<-with(dlost, chisq.test(table(aids.enrollment[site==site.select&aids.enrollment!="Unknown"],lost1[site==site.select&aids.enrollment!="Unknown"])))$p.value

init.reason.cat.lost0<-with(dlost, table(init.reason.cat[site==site.select],lost1[site==site.select])[,1])
init.reason.cat.lost1<-with(dlost, table(init.reason.cat[site==site.select],lost1[site==site.select])[,2])
init.reason.cat.lost0p<-with(dlost, table(init.reason.cat[site==site.select],lost1[site==site.select])[,1]/sum(lost1[site==site.select]==0))
init.reason.cat.lost1p<-with(dlost, table(init.reason.cat[site==site.select],lost1[site==site.select])[,2]/sum(lost1[site==site.select]==1))
init.reason.cat.lostp<-with(dlost, chisq.test(table(init.reason.cat[site==site.select],lost1[site==site.select])))$p.value

dlost.site<-c(age.lost0,age.lost1,age.lostp,
             cd42.lost0,cd42.lost1,cd42.lostp,
             year2.lost0,year2.lost1,year2.lostp,
             time.since.lost0,time.since.lost1,time.since.lostp,
             male.lost01,male.lost01p,male.lostp,
             aids.lost01,aids.lost01p,aids.lostp,
             init.reason.cat.lost0,init.reason.cat.lost1,init.reason.cat.lost0p,init.reason.cat.lost1p,init.reason.cat.lostp)
names(dlost.site)<-c("age.lost0.Q1","age.lost0.Q2","age.lost0.Q3","age.lost1.Q1","age.lost1.Q2","age.lost1.Q3","age.lost.pval",
                     "cd42.lost0.Q1","cd42.lost0.Q2","cd42.lost0.Q3","cd42.lost1.Q1","cd42.lost1.Q2","cd42.lost1.Q3","cd42.lost.pval",
                     "year2.lost0.Q1","year2.lost0.Q2","year2.lost0.Q3","year2.lost1.Q1","year2.lost1.Q2","year2.lost1.Q3","year2.lost.pval",
                     "timesince.lost0.Q1","timesince.lost0.Q2","timesince.lost0.Q3","timesince.lost1.Q1","timesince.lost1.Q2","timesince.lost1.Q3","timesince.lost.pval",
                     "nmale.lost0","nmale.lost1","pmale.lost0","pmale.lost1","male.lost.pval",
                     "naids.lost0","naids.lost1","paids.lost0","paids.lost1","aids.lost.pval",
                     "nfailure.lost0","nother.lost0","ntoxicity.lost0","nunknown.lost0",
                     "nfailure.lost1","nother.lost1","ntoxicity.lost1","nunknown.lost1",
                     "pfailure.lost0","pother.lost0","ptoxicity.lost0","punknown.lost0",
                     "pfailure.lost1","pother.lost1","ptoxicity.lost1","punknown.lost1","reason.pval"
                     )

dlost.site
}

stuff.a<-lost.stats(dlost,site.select="argentina")
stuff.b<-lost.stats(dlost,site.select="brazil")
stuff.c<-lost.stats(dlost,site.select="chile")
stuff.h<-lost.stats(dlost,site.select="haiti")
stuff.ho<-lost.stats(dlost,site.select="honduras")
stuff.m<-lost.stats(dlost,site.select="mexico")
stuff.p<-lost.stats(dlost,site.select="peru")

stats.on.lost<-rbind(stuff.a,stuff.b,stuff.c,stuff.h,stuff.ho,stuff.m,stuff.p)

#save(table.lost,stats.on.lost, file="ltfu-marcelo.rda")


d.lost.merging<-data.frame(id=d.lost.final$id,site=d.lost.final$site,lost1=d.lost.final$lost1)

d1<-merge(d,d.lost.merging,by=c("id","site"))

library(cmprsk)

ltfu.cmprsk<-with(d1,ifelse(death1==1,2,lost1))
cum.inc.ltfu <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0))
cum.inc.ltfu.a <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="argentina"))
cum.inc.ltfu.b <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="brazil"))
cum.inc.ltfu.c <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="chile"))
cum.inc.ltfu.h <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="haiti"))
cum.inc.ltfu.ho <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="honduras"))
cum.inc.ltfu.m <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="mexico"))
cum.inc.ltfu.p <- with(d1, cuminc(ftime=time/365.25,fstatus=ltfu.cmprsk,cencode='0',rho=0,subset=site=="peru"))

#plot(cum.inc.ltfu, ylim=c(0,.4),xlim=c(0,2500)/365.25, xlab='Years from Start of Second Regimen',ylab='Cumulative Incidence of LTFU',cex=0.8, lty=c(1,0),col=c(1,0)) 
  
cum.inc.ltfu.3yrs<-
  c(max(cum.inc.ltfu$'1 1'$est[cum.inc.ltfu$'1 1'$time<3]),
    max(cum.inc.ltfu.a$'1 1'$est[cum.inc.ltfu.a$'1 1'$time<3]),
    max(cum.inc.ltfu.b$'1 1'$est[cum.inc.ltfu.b$'1 1'$time<3]),
    max(cum.inc.ltfu.c$'1 1'$est[cum.inc.ltfu.c$'1 1'$time<3]),
    max(cum.inc.ltfu.h$'1 1'$est[cum.inc.ltfu.h$'1 1'$time<3]),
    max(cum.inc.ltfu.ho$'1 1'$est[cum.inc.ltfu.ho$'1 1'$time<3]),
    max(cum.inc.ltfu.m$'1 1'$est[cum.inc.ltfu.m$'1 1'$time<3]),
    max(cum.inc.ltfu.p$'1 1'$est[cum.inc.ltfu.p$'1 1'$time<3]))


save(table.lost,stats.on.lost,cum.inc.ltfu.3yrs, file="ltfu-marcelo.rda")

#cbind(cum.inc.ltfu$'1 1'$time,cum.inc.ltfu$'1 1'$est)
